use crate::HashMap;
// key = block character
// element = color (array), collision (bool), pretty name (&str)
lazy_static! {
    pub static ref BLOCKS: HashMap<char, Vec<([u8; 3], bool, &'static str)>> = {
        let mut map = HashMap::new();
        map.insert('X', vec![([255, 0, 0],     false, "Null")]);
        map.insert('\'', vec![([0, 255, 0],    false, "Grass")]);
        map.insert('"', vec![([153, 102, 0],   false, "Dirt")]);
        map.insert(';', vec![([128, 128, 128], false, "Cobbles")]);
        map.insert('~', vec![([0, 0, 255],     true,  "Water")]);
        map.insert('D', vec![([0, 128, 128],   true,  "Diamond Ore")]);
        map.insert('C', vec![([0, 0, 0],       true,  "Coal")]);
        map.insert('i', vec![([138, 74, 24],   true,  "Iron Ore")]);
        map.insert('%', vec![([195, 162, 103], false, "Wooden Planks")]);
	map.insert('=', vec![([190, 170, 100], true,  "Wooden Wall")]);
        map.insert(':', vec![([195, 162, 103], false, "Sand")]);
        map.insert('[', vec![([196, 196, 196], false, "Rock")]);
        map.insert('^', vec![([196, 128, 196], true,  "Mountain")]);
        map.insert('#', vec![([255, 196, 196], true,  "Stone Bricks")]);
        map.insert('♣', vec![([0, 153, 51],    true,  "Oak Tree")]);
        map
    };
}
